summaryrefslogtreecommitdiffstats
path: root/package/php4/files/php.init
diff options
context:
space:
mode:
authornico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-07-04 17:03:18 +0000
committernico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-07-04 17:03:18 +0000
commita889ff9a14fe2095e300e36253e552b84415699d (patch)
tree2e33a54dd8a3cdc4d35e3bed64c55ce5ee716d72 /package/php4/files/php.init
parent8052d3af4e42b493bbef51e7a9583859a587ab97 (diff)
Add php4 package (Thanks aorlinsk and enzo for the help)
git-svn-id: svn://svn.openwrt.org/openwrt/trunk/openwrt@1334 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/php4/files/php.init')
-rw-r--r--package/php4/files/php.init19
1 files changed, 19 insertions, 0 deletions
diff --git a/package/php4/files/php.init b/package/php4/files/php.init
new file mode 100644
index 000000000..b29387bd7
--- /dev/null
+++ b/package/php4/files/php.init
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+export PHP_FCGI_CHILDREN=''
+PORT=1026
+BIN=/usr/sbin/php
+
+case $1 in
+ start)
+ $BIN -b $PORT &
+ ;;
+ stop)
+ kill `pidof php`
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?